Bug 131423 - IndexError: list index out of range
IndexError: list index out of range
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-01 04:56 EDT by Nicolas Mailhot
Modified: 2014-01-21 17:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-02 14:16:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2004-09-01 04:56:46 EDT
[root@rousalka ~]# yum clean all
Traceback (most recent call last):
  File "/usr/share/yum/yummain.py", line 135, in ?
    main(sys.argv[1:])
  File "/usr/share/yum/yummain.py", line 52, in main
    base.getOptionsConfig(args)
  File "/usr/share/yum/cli.py", line 249, in getOptionsConfig
    self.parseCommands() # before we exit check over the base command
+ args
  File "/usr/share/yum/cli.py", line 308, in parseCommands
    if len(self.extcmds) > 0 and self.extcmds[1] not in ['packages'
'headers', 'all']:
IndexError: list index out of range

[root@rousalka ~]# rpm -q yum
yum-2.1.0-1
Comment 1 Nicolas Mailhot 2004-09-01 04:57:46 EDT
[root@rousalka ~]# yum clean
Traceback (most recent call last):
  File "/usr/share/yum/yummain.py", line 135, in ?
    main(sys.argv[1:])
  File "/usr/share/yum/yummain.py", line 62, in main
    result, resultmsgs = base.doCommands()
TypeError: unpack non-sequence
Comment 2 Seth Vidal 2004-09-01 08:07:52 EDT
the second is fixed in cvs.

the first will be fixed soon.

yum clean isn't implemented yet.
Comment 3 Brian Millett 2004-09-01 13:32:22 EDT
what about check-update ?

[bpm]$ sudo yum check-update
Traceback (most recent call last):
  File "/usr/share/yum/yummain.py", line 135, in ?
    main(sys.argv[1:])
  File "/usr/share/yum/yummain.py", line 62, in main
    result, resultmsgs = base.doCommands()
TypeError: unpack non-sequence
Comment 4 Seth Vidal 2004-09-01 13:33:52 EDT
To Comment #3. Check-update is fixed in cvs.

Comment 5 Nicolas Mailhot 2004-09-02 00:43:05 EDT
BTW yum 2.1 just authorized a gal update that broke evolution, even
though apt correctly rejected it
Comment 6 Seth Vidal 2004-09-02 00:54:27 EDT
That's a different bug
file it there.

Comment 7 Nicolas Mailhot 2004-09-02 03:35:50 EDT
Ok, will do, I just thought you might already be aware of it
Comment 8 Seth Vidal 2004-09-02 14:16:54 EDT
This is fixed in a version of yum 2.1.2 that will hit rawhide very soon.

Note You need to log in before you can comment on or make changes to this bug.